﻿var url = require("url");
var system = require("../../base/system");
const verify = require("../../base/utils/verify").Verify;
const CtxBody = require("../../base/utils/CtxBody");
const tmSpringboard = require("../../base/controller/tm.springboard");
// var userCtl = system.getObject("web.auth.userCtl");
const utilsNeedSve = system.getObject("service.utilsSve.utilsNeedSve");
module.exports = function (app) {
    app.post('/tm/springboard', async function (req, res) {
        let body = req.body || {};
        let _tmSpringboard = new tmSpringboard(body);
        try {
            let data = await _tmSpringboard.transferRequest();
            body.BizId = data.BizId//TM_单号
            body.needNo = body.IntentionBizId
            //body.serviceOrderNo//云服单号
            //body.IntentionBizId//needid需求号
            body.bizId = body.IntentionBizId
            let result = await utilsNeedSve.tmNotifyChannel(body)//通知启服通保存
            console.log("/tm/springboard result",result)
            if (!result.success)
                return CtxBody.error(res, {});
            CtxBody.success(res, data);
            console.log("----返回成功");
        } catch (error) {
            console.error("------error", error);
            await _tmSpringboard.addErrorLog(error);
            CtxBody.error(res, error);
        }
    });

};
